// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 3, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; see the file COPYING.  If not, write to
// the Free Software Foundation, Inc., 51 Franklin Street, Fifth
// Floor, Boston, MA 02110-1301, USA.
/**
 * @file   tupsend.h
 * @author thargos
 * @date   Thu Mar  4 14:22:38 2010
 *
 * @brief  class to send informations to the server
 *
 *
 */
#ifndef TUPSEND_H
#define TUPSEND_H

#include <QtCore>
#include <QtNetwork>
#include "tupmachine.h"

class TupSend : public QObject
{
  Q_OBJECT

public:
  TupSend(QMap<QString, QString> settings, TupMachine *machine);
  TupSend();
  ~TupSend();
  void sendInformations();
private:
  QString m_server;
  QMap<QString, QString> m_settings;
  TupMachine *m_machine;
private slots:
  void replyFinished(QNetworkReply *);
  void slotError(QNetworkReply::NetworkError);
};

#endif // TUPSEND_H
